Product Size Scale

Here you can create, Listing, and view individual product size scale.

List

Returns a collection of Product size scale

Filtering

You can filter your results as follows:

List of product size scale for specific id(s)
  • /product-size-scales?filter[id]=1
  • /product-size-scales?filter[id]=1,2,3
List of product size scale for specific name(s)
  • /product-size-scales?filter[name]=B
  • /product-size-scales?filter[name]=B,I

Example of listing product size scales

Request

GET /product-size-scales HTTP/1.1

Response

{
	"data": [
		{
			"id": 6,
			"name": "TR",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 5,
			"name": "I",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 4,
			"name": "B",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 3,
			"name": "F",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 2,
			"name": "GR",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 1,
			"name": "D",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		}
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/product-size-scales",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

Example of listing product size scales with filter

Request

GET /product-size-scales?filter[name]=B,I HTTP/1.1

Response

{
	"data": [
		{
			"id": 5,
			"name": "I",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		},
		{
			"id": 4,
			"name": "B",
			"created_at": "2023-01-10T10:11:11+00:00",
			"updated_at": "2023-01-10T10:11:11+00:00"
		}
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": null
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/product-size-scales",
		"per_page": 15,
		"next_cursor": null,
		"prev_cursor": null
	}
}

GET

Returns the product size scale with the id = x.

Example of get a specific product size scale

Request

GET /product-size-scales/1 HTTP/1.1

Response

{
	"id": 2,
	"name": "GR",
	"created_at": "2023-01-10T10:11:11+00:00",
	"updated_at": "2023-01-10T10:11:11+00:00"
}

CREATE

You can create product size scale.

Example of creating a product size scale

Request

POST /product-size-scales HTTP/1.1

{
  "name": "SP"
}

Response

{
	"id": 7,
	"name": "N",
	"created_at": "2023-01-16T12:13:37+00:00",
	"updated_at": "2023-01-16T12:13:37+00:00"
}